ATA_SCSI_PASS_THRU(9)

NAME
ata_scsi_pass_thru - convert ATA pass-thru CDB to taskfile

SYNOPSIS

unsigned int ata_scsi_pass_thru (struct ata_queued_cmd * qc, const u8 * scsicmd);

ARGUMENTS

qc  command structure to be initialized

scsicmd
    SCSI command to convert

DESCRIPTION

Handles either 12 or 16-byte versions of the CDB.

RETURNS

Zero on success, non-zero on failure.

AUTHOR
Jeff Garzik.